Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.bootstrap.bcp.domain
Class CacheInformation

    java.lang.Object
      be.fgov.ehealth.technicalconnector.bootstrap.bcp.domain.CacheInformation

    public class CacheInformation

extends Object

Nested Class Summary
`static class` | `CacheInformation.CacheType`
`static class` | `CacheInformation.ExpiryType`
`static class` | `CacheInformation.KeyTransformType`

Constructor Summary
`CacheInformation(String serviceName, CacheInformation.CacheType cacheType, CacheInformation.KeyTransformType keyTransformType, String keyTransfromLocation, CacheInformation.ExpiryType expiryType, org.joda.time.Duration expiryDuration)`

Method Summary
`Cache<String,String>` | `getCache()`
`CacheInformation.KeyTransformType` | `getKeyTransformType()`
`String` | `getKeyTransfromLocation()`
`boolean` | `isActivated()`
`boolean` | `isKeyTransformType(CacheInformation.KeyTransformType keyTransformType)`
`boolean` | `isXsltKeyTransform()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheInformation

    public CacheInformation(String serviceName,
                            CacheInformation.CacheType cacheType,
                            CacheInformation.KeyTransformType keyTransformType,
                            String keyTransfromLocation,
                            CacheInformation.ExpiryType expiryType,
                            org.joda.time.Duration expiryDuration)

Method Detail

### isActivated

    public boolean isActivated()

### getCache

    public Cache<String,String> getCache()

### isXsltKeyTransform

    public boolean isXsltKeyTransform()

### getKeyTransformType

    public CacheInformation.KeyTransformType getKeyTransformType()

### isKeyTransformType

    public boolean isKeyTransformType(CacheInformation.KeyTransformType keyTransformType)

### getKeyTransfromLocation

    public String getKeyTransfromLocation()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.